From 38445677665340236c6f3aa9c6141dbd845408d5 Mon Sep 17 00:00:00 2001
From: Bernd Helmle <bernd.helmle@credativ.de>
Date: Fri, 11 Mar 2016 11:19:23 +0100
Subject: [PATCH] Fix pgfincore RPM package builds.

README.rst is installed in $(pg_config --docdir)/pgfincore now, but
the SPEC file mistakenly assumes /usr/share/doc/pgsql/pgfincore...
---
 rpm/redhat/9.4/pgfincore/EL-7/pgfincore.spec | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/rpm/redhat/9.4/pgfincore/EL-7/pgfincore.spec b/rpm/redhat/9.4/pgfincore/EL-7/pgfincore.spec
index 0056842..702566e 100644
--- a/rpm/redhat/9.4/pgfincore/EL-7/pgfincore.spec
+++ b/rpm/redhat/9.4/pgfincore/EL-7/pgfincore.spec
@@ -33,7 +33,9 @@ make USE_PGXS=1 %{?_smp_mflags} install DESTDIR=%{buildroot}
 # Install README file under PostgreSQL installation directory:
 install -d %{buildroot}%{pginstdir}/share/extension
 install -m 755 README.rst %{buildroot}%{pginstdir}/share/extension/
-%{__rm} -f %{buildroot}%{_docdir}/pgsql/pgfincore/README.rst
+
+# README.rst is installed in $(pg_config --docdir) originally
+%{__rm} -f %{buildroot}%{pginstdir}/doc/%{sname}/README.rst
 
 %clean
 rm -rf %{buildroot}
-- 
1.8.3.1

